com.hazelcast.osgi

## Interface HazelcastOSGiService

-     public interface HazelcastOSGiService

  Contract point for Hazelcast services on top of OSGI.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HAZELCAST_OSGI_GROUPING_DISABLED` System property for disabling the behaviour that gives different group name to each Hazelcast bundle.
    `static String` | `HAZELCAST_OSGI_JSR223_DISABLED` System property for disabling the JSR-223 script engine scan by the Hazelcast OSGI service.
    `static String` | `HAZELCAST_OSGI_REGISTER_DISABLED` System property for disabling the behaviour that registers created Hazelcast instances as OSGI service.
    `static String` | `HAZELCAST_OSGI_START` System property for starting a default Hazelcast instance per Hazelcast OSGI bundle.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<HazelcastOSGiInstance>` | `getAllHazelcastInstances()` Gets all active/running `HazelcastOSGiInstance`s on the owner bundle.
    `HazelcastOSGiInstance` | `getDefaultHazelcastInstance()` Gets the default `HazelcastOSGiInstance`.
    `HazelcastOSGiInstance` | `getHazelcastInstanceByName(String instanceName)` Gets an existing `HazelcastOSGiInstance` with its `instanceName`.
    `String` | `getId()` Gets the ID of service.
    `org.osgi.framework.Bundle` | `getOwnerBundle()` Gets the owner `Bundle` of this instance.
    `HazelcastOSGiInstance` | `newHazelcastInstance()` Creates a new `HazelcastOSGiInstance` on the owner bundle with default configuration.
    `HazelcastOSGiInstance` | `newHazelcastInstance(Config config)` Creates a new `HazelcastOSGiInstance` on the owner bundle with specified configuration.
    `void` | `shutdownAll()` Shuts down all running `HazelcastOSGiInstance`s on the owner bundle.
    `void` | `shutdownHazelcastInstance(HazelcastOSGiInstance instance)` Shuts down the given `HazelcastOSGiInstance` on the owner bundle.

- - ### Field Detail

    - #### HAZELCAST_OSGI_START

          static final String HAZELCAST_OSGI_START

      System property for starting a default Hazelcast instance per Hazelcast OSGI bundle.
      See Also:
        Constant Field Values

    - #### HAZELCAST_OSGI_REGISTER_DISABLED

          static final String HAZELCAST_OSGI_REGISTER_DISABLED

      System property for disabling the behaviour that registers created Hazelcast instances as OSGI service.
      See Also:
        Constant Field Values

    - #### HAZELCAST_OSGI_GROUPING_DISABLED

          static final String HAZELCAST_OSGI_GROUPING_DISABLED

      System property for disabling the behaviour that gives different group name to each Hazelcast bundle.
      See Also:
        Constant Field Values

    - #### HAZELCAST_OSGI_JSR223_DISABLED

          static final String HAZELCAST_OSGI_JSR223_DISABLED

      System property for disabling the JSR-223 script engine scan by the Hazelcast OSGI service.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          String getId()

      Gets the ID of service.
      Returns:
        the ID of service

    - #### getOwnerBundle

          org.osgi.framework.Bundle getOwnerBundle()

      Gets the owner `Bundle` of this instance.
      Returns:
        the owner `Bundle` of this instance

    - #### getDefaultHazelcastInstance

          HazelcastOSGiInstance getDefaultHazelcastInstance()

      Gets the default `HazelcastOSGiInstance`.
      Returns:
        the default `HazelcastOSGiInstance`

    - #### newHazelcastInstance

          HazelcastOSGiInstance newHazelcastInstance(Config config)

      Creates a new `HazelcastOSGiInstance` on the owner bundle with specified configuration.
      Parameters:
        `config` - Configuration for the new `HazelcastOSGiInstance` (member)
      Returns:
        the new `HazelcastOSGiInstance`

    - #### newHazelcastInstance

          HazelcastOSGiInstance newHazelcastInstance()

      Creates a new `HazelcastOSGiInstance` on the owner bundle with default configuration.
      Returns:
        the new `HazelcastOSGiInstance`

    - #### getHazelcastInstanceByName

          HazelcastOSGiInstance getHazelcastInstanceByName(String instanceName)

      Gets an existing `HazelcastOSGiInstance` with its `instanceName`.
      Parameters:
        `instanceName` - Name of the `HazelcastOSGiInstance` (member)
      Returns:
        an existing `HazelcastOSGiInstance`

    - #### getAllHazelcastInstances

          Set<HazelcastOSGiInstance> getAllHazelcastInstances()

      Gets all active/running `HazelcastOSGiInstance`s on the owner bundle.
      Returns:
        all active/running `HazelcastOSGiInstance`s on the owner bundle

    - #### shutdownHazelcastInstance

          void shutdownHazelcastInstance(HazelcastOSGiInstance instance)

      Shuts down the given `HazelcastOSGiInstance` on the owner bundle.
      Parameters:
        `instance` - the `HazelcastOSGiInstance` to shutdown

    - #### shutdownAll

          void shutdownAll()

      Shuts down all running `HazelcastOSGiInstance`s on the owner bundle.

Copyright © 2019. All rights reserved.